Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 598862 - spice-usb-redirector needs to cleanup nicely its named semaphore
Summary: spice-usb-redirector needs to cleanup nicely its named semaphore
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: spice-usb-redirector
Version: 5.6
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Gal Hammer
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-02 08:44 UTC by Uri Lublin
Modified: 2011-06-15 14:43 UTC (History)
4 users (show)

Fixed In Version: spice-usb-share-4.5-3.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-13 23:47:19 UTC
Target Upstream Version:


Attachments (Terms of Use)
usbrdr: unlink semaphore file name on close. (deleted)
2010-09-15 14:52 UTC, Uri Lublin
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0122 normal SHIPPED_LIVE spice-usb-share and kspiceusb-kmod bug fix update (was spice-usb-redirector) 2011-01-12 17:28:42 UTC

Description Uri Lublin 2010-06-02 08:44:43 UTC
Description of problem:
spice-usb-redirector uses a named semaphore to get events from the usb-redirector daemon. It creates the semaphore with sem_open but never calls sem_unlink as it should.

Version-Release number of selected component (if applicable):
spice-usb-redirector-4.5-2.el5

Additional info:
The leftovers can be seen with 'ls /dev/shm/sem.usbrdr*'

Comment 3 Uri Lublin 2010-09-15 14:52:26 UTC
Created attachment 447494 [details]
usbrdr: unlink semaphore file name on close.

Comment 6 Lubos Kocman 2010-11-02 16:42:33 UTC
Verified on spice-usb-share-4.5-3.el5

unlink is present in the code. spice-usb-share works.

Comment 8 errata-xmlrpc 2011-01-13 23:47:19 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0122.html


Note You need to log in before you can comment on or make changes to this bug.